Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortletRequestDispatcherImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletRequestDispatcherImpl

All Implemented Interfaces:
  PortletRequestDispatcher

    public class PortletRequestDispatcherImpl

extends java.lang.Object
implements PortletRequestDispatcher

Version:
  $Revision: 6854 $
Author:
  Julien Viet

Method Summary
`void` | `forward(PortletRequest req, PortletResponse resp)`
`void` | `include(PortletRequest req, PortletResponse resp)`
`void` | `include(RenderRequest req, RenderResponse resp)` Includes the content of a resource (servlet, JSP page, HTML file) in the response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### include

    public void include(RenderRequest req,
                        RenderResponse resp)
                 throws PortletException,
                        java.io.IOException

  Description copied from interface: `PortletRequestDispatcher`
  Includes the content of a resource (servlet, JSP page, HTML file) in the response. In essence, this method enables programmatic server-side includes.

  The included servlet cannot set or change the response status code or set headers; any attempt to make a change is ignored.

  Specified by:
    `include` in interface `PortletRequestDispatcher`
  Parameters:
    `req` - a `RenderRequest` object that contains the client request
    `resp` - a `RenderResponse` object that contains the render response
  Throws:
    `PortletException` - if the included resource throws a ServletException, or other exceptions that are not Runtime- or IOExceptions.
    `java.io.IOException` - if the included resource throws this exception

### include

    public void include(PortletRequest req,
                        PortletResponse resp)
                 throws PortletException,
                        java.io.IOException

  Throws:
    `PortletException`
    `java.io.IOException`

### forward

    public void forward(PortletRequest req,
                        PortletResponse resp)
                 throws PortletException,
                        java.io.IOException,
                        java.lang.IllegalStateException

  Throws:
    `PortletException`
    `java.io.IOException`
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.